View Issue Details

IDProjectCategoryView StatusLast Update
0004298ExpressionsFeaturepublic2020-05-09 22:55
Reportermghansen256 Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.19 
Summary0004298: Feature request: Preserve current value of property when converting to expression
DescriptionIt would be nice if property values were automatically transferred into the expression input field when the property is converted into an expression.
Steps To Reproduce1. Start FreeCAD, create a new document, create a cube
2. Manually move cube to any position, for example (x=1,y=1,z=1)
3. Select the Placement.Position.x property and press "=" to convert it to an expression.

Result: The expression input field is empty. If you want to base your expression on the previously set value, you have to type it in again.

Expected result as per this feature request: The expression input field is pre-populated with the current value of the property and that part of the text is selected. You can press any key to start writing a new expression from scratch, or press "End" in order to append to the existing value.
Additional InformationRelated forum thread: Feature request: Preserve current value of property when converting to expression
TagsNo tags attached.
FreeCAD InformationOS: Ubuntu 18.04.1 LTS (KDE/plasma)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.20209 (Git) AppImage
Build type: Release
Branch: master
Hash: 5fc4a26a00390e91cbf91848b766b68ad87e5917
Python version: 3.8.2
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United States (en_US)

Related Changesets

FreeCAD: master ba4d70e7

2020-04-07 19:20:23

0penBrain


Committer: wmayer Details Diff
[Expression] Default to current 'constant' value when editing if no expression set yet ; fixes 0004298

Move signals connecting before value initialization so it's not needed to call them manually
Only spin boxes implemented (should be the major usage)
Affected Issues
0004298
mod - src/Gui/DlgExpressionInput.cpp Diff File

Issue History

Date Modified Username Field Change
2020-03-29 18:22 mghansen256 New Issue
2020-04-07 19:32 openBrain Assigned To => openBrain
2020-04-07 19:32 openBrain Status new => assigned
2020-04-07 19:32 openBrain Note Added: 0014331
2020-05-09 09:29 wmayer Status assigned => closed
2020-05-09 09:29 wmayer Resolution open => fixed
2020-05-09 09:29 wmayer Fixed in Version => 0.19
2020-05-09 09:29 wmayer Note Added: 0014405
2020-05-09 22:55 wmayer Changeset attached => FreeCAD master ba4d70e7
2020-05-09 22:55 wmayer Note Added: 0014406
2020-05-09 22:55 wmayer Assigned To openBrain => wmayer